body{
    overflow:hidden;
    background: url("../images/bg2.jpg") no-repeat center center fixed !important; 
    -webkit-background-size: cover !important;
    -moz-background-size: cover !important;
    -o-background-size: cover !important;
    background-size: cover !important;
}
h2{
    padding:0;
    margin:0;
    font-size:26px;
    color:#FFFFFF;
}
img{
    width:100%;
}
textarea:focus, input:focus{
    outline: none;
}
input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus, 
input:-webkit-autofill:active{
    -webkit-background-clip: text;
    -webkit-text-fill-color: #ffffff;
    transition: background-color 5000s ease-in-out 0s;
    box-shadow: inset 0 0 20px 20px #23232329;
}


.float_winner{
    position:fixed;
    background:rgba(0,0,0,0.7);
    z-index:100;
    top:10%;
    right:0;
    padding:20px;
    display:none;
}
.float_winner p{
    margin:0;
    padding:0;
    color:#FFFFFF;
}




.popup_holder{
    position:fixed;
    width:100%;
    height:100%;
    z-index:10000;
    background:rgba(0,0,0,0.7);
    display:none;
}



.popup_holder .disclaimer_popup{
    position: absolute;
    margin: auto;
    max-width:500px;
    width:90%;
    padding:25px;
    top: 50%;
    left: 50%; /* For horizontal centering as well */
    transform: translate(-50%, -50%);
    background:#FFFFFF;
    text-align:center;
    border-radius:25px;
    background:rgba(0,0,0,0.8);
    background: url("../images/popup_bg.jpg") no-repeat center center fixed !important; 
    -webkit-background-size: cover !important;
    -moz-background-size: cover !important;
    -o-background-size: cover !important;
    background-size: cover !important;
}
.popup_holder .disclaimer_popup .logo{
    position:relative;
    display:inline-block;
    width:50%;
}
.popup_holder .disclaimer_popup h2{
    color:#FFFFFF;
}
.popup_holder .disclaimer_popup p{
    color:#FFFFFF;
}
.popup_holder .disclaimer_popup .proceed_btn{
    position:relative;
    display:inline-block;
    cursor:pointer;
    width:60%;
}


.popup_holder .form_popup{
    position: absolute;
    margin: auto;
    max-width:500px;
    width:90%;
    padding:25px;
    top: 50%;
    left: 50%; /* For horizontal centering as well */
    transform: translate(-50%, -50%);
    background:#FFFFFF;
    text-align:center;
    border-radius:25px;
    background:rgba(0,0,0,0.8);
    background: url("../images/popup_bg.jpg") no-repeat center center fixed !important; 
    -webkit-background-size: cover !important;
    -moz-background-size: cover !important;
    -o-background-size: cover !important;
    background-size: cover !important;
}
.popup_holder .form_popup .logo{
    position:relative;
    display:inline-block;
    width:50%;
}
.popup_holder .form_popup label{
    position:relative;
    display:inline-block;
    width:100%;
    color:#FFFFFF;
    text-align:left;
    font-size:14px;
}
.popup_holder .form_popup input{
    position:relative;
    display:inline-block;
    width:100%;
    margin-bottom:15px;
    background:none;
    border-radius:0px;
    border:0px;
    border-bottom:1px solid #AAAAAA;
    color:#FFFFFF!important;
    font-size:16px;
}
.popup_holder .form_popup .error{
    color:red;
}
.popup_holder .form_popup .gender_holder{
    text-align:left;
}
.popup_holder .form_popup .gender_holder span{
    position:relative;
    display:inline-block;
    width:20px;
}
.popup_holder .form_popup .gender_holder .radio_label{
    width:auto;
}
.popup_holder .form_popup .gender_holder .radio_input{
    width:auto;
}
.popup_holder #otp{
    width:calc(100% - 105px);
}
.popup_holder .get_otp{
    display:inline-block;
    width:100px;
    border:1px solid #FFFFFF;
    cursor:pointer;
    text-align:center;
    padding-top:3px;
    padding-bottom:3px;
    color:#FFFFFF;
}
.popup_holder .otp_countdown{
    display:inline-block;
    width:100px;
    border:1px solid #FFFFFF;
    display:none;
    color:#FFFFFF;
}
.popup_holder .error_holder{
    font-size:14px;
    color:#FFFFFF;
}
.popup_holder .error{
    color:red;
}
.popup_holder .form_popup .input_error{
    border-bottom:1px solid red;
}
.popup_holder .submit{
    width:60%;
    margin:auto;
    cursor:pointer;
    margin-top:15px;
}


.popup_holder .thanks_popup{
    position: absolute;
    margin: auto;
    max-width:500px;
    width:90%;
    padding:25px;
    top: 50%;
    left: 50%; /* For horizontal centering as well */
    transform: translate(-50%, -50%);
    background:#FFFFFF;
    text-align:center;
    border-radius:25px;
    background:rgba(0,0,0,0.8);
    background: url("../images/popup_bg.jpg") no-repeat center center fixed !important; 
    -webkit-background-size: cover !important;
    -moz-background-size: cover !important;
    -o-background-size: cover !important;
    background-size: cover !important;
}
.popup_holder .thanks_popup .logo{
    position:relative;
    display:inline-block;
    width:50%;
}
.popup_holder .thanks_popup h2{
    color:#FFFFFF;
}
.popup_holder .thanks_popup p{
    color:#FFFFFF;
}


.popup_holder .result_popup{
    position: absolute;
    margin: auto;
    max-width:500px;
    width:90%;
    padding:25px;
    top: 50%;
    left: 50%; /* For horizontal centering as well */
    transform: translate(-50%, -50%);
    background:#FFFFFF;
    text-align:center;
    border-radius:25px;
    background:rgba(0,0,0,0.8);
    background: url("../images/popup_bg.jpg") no-repeat center center fixed !important; 
    -webkit-background-size: cover !important;
    -moz-background-size: cover !important;
    -o-background-size: cover !important;
    background-size: cover !important;
}
.popup_holder .result_popup .resultIMG{
    width:60%;
}
.popup_holder .result_popup h2{
    color:#FFFFFF;
}
.popup_holder .result_popup p{
    color:#FFFFFF;
}
.popup_holder .result_popup .redeem_btn{
    position:relative;
    display:inline-block;
    width:60%;
}


.main_holder{
    position: absolute;
    width:100%;
    top: 50%;
    transform: translate(0%, -50%);
    padding-bottom:150px;
    z-index:1;
}
.title1{
    position: relative;
    display:block;
    margin:auto;
    width:90%;
    max-width:450px;
    z-index:1;
}
.title2{
    position: relative;
    display:block;
    margin:auto;
    width:45%;
    max-width:200px;
    margin-top:-100px;
    z-index:2;
}

.ele_holder{
    position: absolute;
    display: block;
    width: 90%;
    height:100%;
    max-width: 450px;
    margin: auto;
    top:0;
    left: 0;
    right: 0;
}
.ele{
    position:absolute;
    z-index:0;
}
.ele1{
    width: 37%;
    top: 0%;
    left: -20%;
    animation-name: animation1;
    animation-timing-function:ease-in-out;
    animation-iteration-count: infinite;
    animation-duration: 4s;
}
.ele2{
    width: 30%;
    top: 18%;
    left: -10%;
    animation-name: animation2;
    animation-timing-function:ease-in-out;
    animation-iteration-count: infinite;
    animation-duration: 4.5s;
}
.ele3{
    width: 34%;
    top: 34%;
    left: -25%;
    animation-name: animation1;
    animation-timing-function:ease-in-out;
    animation-iteration-count: infinite;
    animation-duration: 4s;
}
.ele4{
    width: 31%;
    top: 59%;
    left: -13%;
    animation-name: animation2;
    animation-timing-function:ease-in-out;
    animation-iteration-count: infinite;
    animation-duration: 4.5s;
}
.ele5{
    width: 28%;
    top: 0%;
    right: -22%;
    animation-name: animation2;
    animation-timing-function:ease-in-out;
    animation-iteration-count: infinite;
    animation-duration: 4.5s;
    animation-delay: 1s;
}
.ele6{
    width: 33%;
    top: 15%;
    right: -14%;
    animation-name: animation1;
    animation-timing-function:ease-in-out;
    animation-iteration-count: infinite;
    animation-duration: 4s;
    animation-delay: 1s;
}
.ele7{
    width: 41%;
    top: 36%;
    right: -33%;
    animation-name: animation2;
    animation-timing-function:ease-in-out;
    animation-iteration-count: infinite;
    animation-duration: 4.5s;
    animation-delay: 1s;
}
.ele8{
    width: 36%;
    top: 59%;
    right: -18%;
    animation-name: animation1;
    animation-timing-function:ease-in-out;
    animation-iteration-count: infinite;
    animation-duration: 4s;
    animation-delay: 1s;
}


@keyframes animation1 {
    0% {margin-top: 0px}
    50% {margin-top: 15px}
    100% {margin-top: 0px}
}
@keyframes animation2 {
    0% {margin-top: 0px}
    50% {margin-top: -10px}
    100% {margin-top: 0px}
}



.mainbox {
    position: relative;
    display:block;
    margin:auto;
    width:90%;
    max-width: 500px;
    z-index:2;
}
.mainbox .arrow{
    position: absolute;
    margin: auto;
    width: 30px;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1;
}

.box {
    margin:0;
    padding:0;
    line-height:0;
    width: 100%;
    position: relative;
    transition: all ease-in-out 5s;
}


.spin {
    position: relative;
    display:block;
    margin:auto;
    position: relative;
    width: 250px;
    z-index: 1000;
    margin-top:10px;
}
#spin{
    cursor: pointer;
}
#spin_bk{
    display:none;
}
audio {
    display: none;
}


.bottom_holder{
    position:absolute;
    z-index:2;
    font-size:0;
    left:0;
    bottom:0;
}
.copy{
    position:relative;
    display:inline-block;
    max-width:300px;
    width:60%;
    vertical-align:middle;
}
.gift{
    position:relative;
    display:inline-block;
    max-width:200px;
    width:40%;
    vertical-align:middle;
}

@media screen and (max-width: 1280px) {
    h2{
        font-size:24px;
    }

    .main_holder{
        padding-bottom:200px;
    }
    .title1{
        position: relative;
        max-width:400px;
    }
    .title2{
        position: relative;
        max-width:180px;
        margin-top:-100px;
    }
    .mainbox{
        max-width:450px;
    }
}
@media screen and (max-width: 768px) {
    .main_holder{
        overflow:hidden;
    }
}
@media screen and (max-width: 600px) {

}
@media screen and (max-width: 400px) {
    .main_holder{
        padding-bottom:130px;
    }

    .title1{
        width:70%;
    }
    .title2{
        width:35%;
        margin-top:-65px;
    }

    .mainbox{
        width:80%;
    }
    .spin {
        width: 50%;
        margin-top:0px;
    }
    .copy{
        width:50%;
    }
    .gift{
        margin-left:15%;
        width:35%;
    }
}